using isnd.Data;
using Newtonsoft.Json;

namespace isnd.ViewModels
{
    public class PackageIndexViewModel
    {
        [JsonProperty("prerelease")]
        public bool Prerelease { get; set; }

        [JsonProperty("data")]
        public Package[] Data {get; set;}

        [JsonProperty("query")]
        public string Query { get; set; }

        [JsonProperty("totalHits")]
        public int TotalHits { get; internal set; }
    }
}